function obj=randisym(Imax,N,d,varargin)
% FUNCTION fc_amat.random.randisym
% -- randisym(Imax,N,d,varargin) 
%      Returns an N-by-d-by-d amat object whose matrices are symmetric where
%      values are drawn from the discrete uniform distribution on 1:Imax.
%
% -- randisym([Imin,Imax],N,d,varargin) 
%      Returns an N-by-d-by-d amat object whose matrices are symmetric where
%      values are drawn from the discrete uniform distribution on Imin:Imax.
%
%
%      Optional key/value pair could be used with key
%        - 'class', value are those of Matlab randi function. 
%                   Default is 'double'.
%
%      See also: fc_amat.random.randnher,
%                class amat, randi
%
  p = inputParser; 
  p.addParamValue('class','double',@ischar); 
  p.parse(varargin{:});
  classname=p.Results.class;
  obj=amat(N,d,d,classname);
  for i=1:d
    obj(i,i)=randi(Imax,N,1,classname);
    for j=i+1:d
      obj(i,j)=randi(Imax,N,1,classname);
      obj(j,i)=obj(i,j);
    end
  end
end
