function plot3Ds(distribute)
  if nargin==0, distribute=true;end
  close all  % :start:
  u=@(x,y,z) cos(x).*cos(y).*cos(z);
  [q2,me2,toGlobal2]=fc_meshtools.simplicial.getMesh3Ds(2);
  [q1,me1,toGlobal1]=fc_meshtools.simplicial.getMesh3Ds(1);
  U2=fc_meshtools.eval(u,q2);
  U1=fc_meshtools.eval(u,q1);
  figure(1)
  fc_graphics4mesh.plot(q2,me2,U2)
  hold on
  fc_graphics4mesh.plotmesh(q1,me1,'color','k','LineWidth',2)
  shading interp
  axis image;axis off
  colorbar
  figure(2)
  fc_graphics4mesh.plotmesh(q2,me2,'color','LightGray')
  hold on
  fc_graphics4mesh.plot(q1,me1,U1,'LineWidth',2)
  axis image;axis off
  caxis([min(U2),max(U2)])
  colorbar
  P=fc_tools.graphics.PlaneCoefs([0 0 0], [0 0 1]);
  figure(3)
  fc_graphics4mesh.plot(q2,me2,U2,'cutPlane',P)
  hold on
  fc_graphics4mesh.plotmesh(q1,me1,'color','k','LineWidth',2)
  shading interp
  axis image;axis off
  caxis([min(U2),max(U2)])
  colorbar
  figure(4)
  fc_graphics4mesh.plotmesh(q2,me2,'color','LightGray','cutPlane',P)
  hold on
  fc_graphics4mesh.plot(q1,me1,U1,'LineWidth',2,'cutPlane',P)
  axis image;axis off
  caxis([min(U2),max(U2)])
  colorbar  % :end:
  if distribute,fc_tools.graphics.monitors.autoGrid();end
end
