function plotGradBaCo(q,me,varargin)
  p = inputParser; 
  p.addParamValue('scale',0.2,@isscalar);
  p.addParamValue('GradBaCo',[]);
  p.addParamValue('Barycenters',[]);
  p.addParamValue('NormalFaces',[]);
  p.parse(varargin{:});
  R=p.Results;
  h=fc_meshtools.simplicial.getMaxLengthEdges(q,me);
  scale=h*R.scale;
  GradBaCo=R.GradBaCo;
  Ba=R.Barycenters;
  Normal=R.NormalFaces;
  if isempty(GradBaCo), GradBaCo=fc_meshtools.simplicial.GradBaCo(q,me); end
  if isempty(Ba), Ba=fc_meshtools.simplicial.barycenters(q,me); end
  if isempty(Normal), Normal=fc_meshtools.simplicial.NormalFaces(q,me,'GradBaCo',GradBaCo); end
  [dim,d,nq,nme]=fc_meshtools.simplicial.get_dims(q,me);;
  RGBcolors = fc_tools.graphics.selectColors(d+1);%,'background', BK);
  ih=ishold();hold on
  switch dim
    case 2
      for i=1:d+1
        quiver(Ba(1,:),Ba(2,:),scale*squeeze(Normal(i,1,:))',scale*squeeze(Normal(i,2,:))',0,'Color',RGBcolors(i,:))
        line([Ba(1,:);q(1,me(i,:))],[Ba(2,:);q(2,me(i,:))], ...
            'Color',RGBcolors(i,:),'LineStyle',':')%,'DisplayName','')%,'Tag','')
      end
    case 3
      for i=1:d+1
        quiver3(Ba(1,:),Ba(2,:),Ba(3,:),scale*squeeze(Normal(i,1,:))',scale*squeeze(Normal(i,2,:))', ...
        scale*squeeze(Normal(i,3,:))',0,'Color',RGBcolors(i,:))
        line([Ba(1,:);q(1,me(i,:))], ...
            [Ba(2,:);q(2,me(i,:))], ...
            [Ba(3,:);q(3,me(i,:))],'Color',RGBcolors(i,:),'LineStyle',':')
      end
    otherwise
      warning('Unable to plot in space dimension %d',dim); 
  end
  if ~ih, hold off;end
end
